Page MenuHomePhabricator

Invalid HTML if both "about" and "disclaimer" are "-"
Closed, ResolvedPublic

Description

http://www.w3.org/TR/REC-html40/struct/lists.html says "All lists must
contain one or more list elements."

However, if one chooses not to have an "about" and "disclaimer", by
putting just "-" in both those pages, one will cause

<ul id="f-list"></ul>,

$ GET above_url|validate
Error at line 166, character 8: end tag for "ul" which is not finished


Version: 1.13.x
Severity: normal
URL: http://radioscanningtw.jidanni.org/index.php?title=User:Jidanni&uselang=en&action=history

Details

Reference
bz16590

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:24 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz16590.
Jidanni created this task.Dec 8 2008, 5:29 PM
brion added a comment.Dec 9 2008, 1:53 AM

This was fixed in r44323

(In reply to comment #1)
No big deal, but in the email message we get:

This was fixed in r44323

it isn't clear if this means "just now fixed" or "was long ago fixed".
Therefore one must fire up a browser to get to the r44323 link to then check the date, to discover it was the former.
OK. Thanks.